# ExtraEnemyCustomization (Version 1.x.x)
```
DISCLAIMER: This MOD is meant to be used by Rundown Developer to make their own enemy in ease. It's NOT a client-end MOD.
```

# ***[Use this Reference Config to learn how to use this MOD](https://github.com/GTFO-Modding/ExtraEnemyCustomization/raw/master/wikifiles/EEC_1.0/EEC_1.0.zip)***
Un-zip them to your `YourRundownFolder/Custom/ExtraEnemyCustomization` path

# 1.7.8 Patch Note
 + Added PouncerCustom
 + Updated to BepInEx 3.0.0

# 1.7.7 Patch Note
 + Resolved Various MarkerCustom Issue
 + HealthInfo now sync lot more accurately
 + Added Option to Resize MarkerCustom Elements `SpriteScale`, `TextScale`, `DistanceTextScale`

# 1.7.6 Patch Note
 + Improved Performance for LimbCustom
 + Fixed Bug where enemies can't break door when DoorBreakerCustom is set in specific condition

# 1.7.5 Patch Note
 + Bleeding Now can be cured by medipack from other player

# 1.7.3-4 Patch Note
 + LiveEdit now work as intended

# 1.7.2 Patch Note
 + Health Info now sync Properly

# 1.7.1 Patch Note
 + Added `MarkerTextHealthBar~` settings to `MarkerCustom`
 + Fixed Issue
   - ScannerCustom Performance Improvement
   - Shadows not being shown on termal scope
   - Networking nullrefs
   - Limb Destruction not working

# 1.7.0 Patch Note
 + Updated to Latest BepInExPack


# Supported Features
 + ## Model Customization
    - `ShadowCustom`: Shadow Varient Customization (For every enemy model)
    - `MaterialCustom`: Material Swapper for changing skin of emenies
    - `GlowCustom`: for edting color of enemy glowing in general, also provide feature to adding custom Pulse Effect
    - `LimbCustom`: Enemy Limb Health/Weak/ArmorSpot Customization
    - `MarkerCustom`: Bio-tracker Ping Icon/Behaviour Customization (with custom images / texts)
    - `ModelRefCustom`: ModelReference Custom for editing Bio-Tracker Ping position/Shooter Firing Position/Striker Tentacle Position
    - `ScannerCustom`: Bio-tracker screen customization per enemies (with real-time color changes)
    - `SilhouetteCustom`: Provides enemies silhouette to be able to see through the wall
    - `BoneCustom`: Powerful setting to change each enemy's bodypart scale/position/rotation or Add your own Prefab to it
    - `AnimHandleCustom`: Allows to directly edit animation timing values or punch scream sfx

 + ## Ability Customization
    - `FogSphereCustom`: Fog Sphere Ability's Fog Setting
    - `BirthingCustom`: Birthing Ability Customization
    - `HealthRegenCustom`: for Health Regen/Decay Enemy
    - `InfectionAttackCustom`: for Infectious Tentacle/Punch/Projectile
    - `ExplosiveAttackCustom`: for Explosive Tentacle/Punch/Projectile
    - `KnockbackAttackCustom`: for adding knockback for Tentacle/Punch/Projectile
    - `BleedAttackCustom`: for adding bleeding effect for Tentacle/Punch/Projectile
    - `DrainStaminaAttackCustom`: for draining victim's stamina
    - `DoorBreakerCustom`: DoorBreaker Ability Speed/Damage Customization
    - `ScoutScreamingCustom`: Change Scout Screaming GlowColor and FogColor along with Infectious FogSphere

 + ## EnemyAbility Customization
    - `BehaviourAbilityCustom`: Trigger Ability based on Cooldown, Distance, LOS, State
    - `DeathAbilityCustom`: Trigger Ability when enemies death triggered

    * ### Supported Abilities
       - `DoAnim`
       - `FogSphere`
       - `Explosion`
       - `SpawnEnemy`
       - `SpawnWave`
       - `EMP`
       - `Cloak`
       - `Chain`: Trigger multiple ability at once!

 + ## Striker Tentacle Customization
    - `StrikerTentacleCustom`
       - Striker Tentacle Model Type Customization
       - Striker Tentacle In/Out/Stay time Custom
    - `TentacleDefinitions`
       - Work in Progress

 + ## Shooter Firing Customization
    - `ShooterFireCustom`
       - Shooter Projectile Setting Custom
       - Distance based Projectile Setting Swapper
    - `ProjectileDefinitions`
       - Custom Shooter Projectile Editing
       - Explosive Projectile `[Use ExplosiveAttackCustom if possible]`
       - Knockback Projectile `[Use KnockbackAttackCustom if possible]`
       - Bleeding Projectile `[Use BleedAttackCustom if possible]`
       - Infectious Projectile `[Use InfectionAttackCustom if possible]`
       - StaminaDrain Projectile `[Use DrainStaminaAttackCustom if possible]`

 + ## Detection Customization
    - `FeelerCustom`: Scout Feeler Count/Color/Distance Customization
    - `ScoutAnimCustom`: Customizable Scout Feeler Animation

 + ## Scout Wave Customization
    - Different wave setting per Scout Variants
    - StopOnDead Setting for Scout alive orientated constant alarm
    - Random Picker for having different wave setting for single variant

 + ## Property Customization
    - `SpawnCostCustom`: You can edit Enemy's spawncost without editing population settings
    - `EventsCustom`: Trigger WardenObjectiveEvent!
       - OnSpawnedEvent
       - OnWakeupEvent
       - OnDeadEvent
       - Triggering OnBossDeathEvent!
    - `DistantRoarCustom`: Play sound you wanted when specific wave enemies has spawned

 + ## Miscellaneous Things
    - LiveEdit: Edit your config without reboot the game
    - Healer Enemies support: Negative Damage will now heal players
    - Global Config: Flyer Stuck Check

 + ## Partial Data Integration
    - You can use GUID to any enemy persistentID field if you using PartialData!


# Credits
 - peelz: Setup for future MTFO update
 - mccad00: Enemy Marker icons
 - Kasuromi: Providing codes related to SpawnCost / Helping me lot with PR review / Transition to 2.0.0 Support
 - Dex: Providing codes related to SilhouetteCustom
 - dakkhuza: Helping with implementing EMP / Providing codes related to Explosion